Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xhtml
Class PageStyleConverter

    java.lang.Object
      writer2latex.xhtml.ConverterHelper
          writer2latex.xhtml.StyleConverterHelper
              writer2latex.xhtml.PageStyleConverter

    public class PageStyleConverter

extends StyleConverterHelper

This class converts OpenDocument page styles to CSS2 styles. A page style in a presentation is represented through the master page, which links to a page layout defining the geometry and optionally a drawing page defining the drawing background. In a presentation document we export the full page style, in a text document we only export the background.

Field Summary

Fields inherited from class writer2latex.xhtml.StyleConverterHelper
`bConvertHard, bConvertStyles, nType, styleMap, styleNames`

Fields inherited from class writer2latex.xhtml.ConverterHelper
`config, converter, ofr`

Constructor Summary
`PageStyleConverter(OfficeReader ofr, Config config, Converter converter, int nType)` Create a new `PageStyleConverter`

Method Summary
`void` | `applyStyle(java.lang.String sStyleName, StyleInfo info)`
`private void` | `cssDrawBackground(StyleWithProperties style, CSVList props, boolean bInherit)`
`private void` | `cssPageSize(PageLayout style, CSVList props)`
`java.lang.String` | `getStyleDeclarations(java.lang.String sIndent)` Convert style information for used styles
`OfficeStyleFamily` | `getStyles()` Get the family of page styles (master pages)

Methods inherited from class writer2latex.xhtml.StyleConverterHelper
`applyDirection, applyLang, colScale, scale`

Methods inherited from class writer2latex.xhtml.ConverterHelper
`applyStyle, getCellSc, getDrawCv, getFrameSc, getListSc, getMathCv, getPageSc, getParSc, getPresentationSc, getRowSc, getSectionSc, getStyleCv, getTableCv, getTableSc, getTextCv, getTextSc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageStyleConverter

    public PageStyleConverter(OfficeReader ofr,
                              Config config,
                              Converter converter,
                              int nType)

  Create a new `PageStyleConverter`

  Parameters:
    `ofr` - an `OfficeReader` to read style information from
    `config` - the configuration to use
    `converter` - the main `Converter` class
    `nType` - the type of xhtml to use

Method Detail

### applyStyle

    public void applyStyle(java.lang.String sStyleName,
                           StyleInfo info)

### getStyleDeclarations

    public java.lang.String getStyleDeclarations(java.lang.String sIndent)

  Convert style information for used styles

  Specified by:
    `getStyleDeclarations` in class `StyleConverterHelper`
  Parameters:
    `sIndent` - a String of spaces to add before each line

### getStyles

    public OfficeStyleFamily getStyles()

  Get the family of page styles (master pages)

  Specified by:
    `getStyles` in class `StyleConverterHelper`
  Returns:
    the style family

### cssDrawBackground

    private void cssDrawBackground(StyleWithProperties style,
                                   CSVList props,
                                   boolean bInherit)

### cssPageSize

    private void cssPageSize(PageLayout style,
                             CSVList props)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD